/// <reference types="react" />
import { Widget } from '@tinystacks/ops-model';
import { BaseProvider, BaseWidget } from '@tinystacks/ops-core';
type CliProps = Widget & {
    command: string;
    commandResult?: {
        stdout: string;
        stderr: string;
    };
    runOnStart?: boolean;
    hasRun?: boolean;
    environmentVariables?: {
        [key: string]: string;
    };
};
type CliOverrides = {
    clear?: boolean;
    run?: boolean;
};
export declare class Cli extends BaseWidget {
    static type: string;
    command: string;
    runOnStart: boolean;
    commandResult: {
        stdout: string;
        stderr: string;
    };
    hasRun: boolean;
    environmentVariables: {
        [key: string]: string;
    } | undefined;
    constructor(props: CliProps);
    static fromJson(object: CliProps): Cli;
    envVarMapper(envVars: {
        [key: string]: string;
    }): string[];
    toJson(): CliProps;
    getData(providers?: BaseProvider[], overrides?: CliOverrides): Promise<void>;
    render(_children?: any, overridesCallback?: (overrides: CliOverrides) => void): JSX.Element;
}
export {};
