/// <reference types="react" />
import { BaseWidget } from '@tinystacks/ops-core';
import { Widget } from '@tinystacks/ops-model';
export type GridProps = Widget & {
    columns?: number;
};
export declare class Grid extends BaseWidget {
    columns: number | undefined;
    constructor(props: GridProps);
    static fromJson(object: Widget): Grid;
    toJson(): {
        columns: number;
        id: string;
        displayName: string;
        type: string;
        providerIds?: string[];
        childrenIds?: string[];
        description?: string;
        displayOptions?: {
            showDisplayName?: boolean;
            showDescription?: boolean;
        };
        additionalProperties?: any;
    };
    getData(): void;
    render(children?: (Widget & {
        renderedElement: JSX.Element;
    })[]): JSX.Element;
}
